<template>
	<MeScroll :up="up" :down="down" @up="upFn" :fixed="false" @down="downFn" @init="initMeScroll">
		<card :list="list" ></card>
	</MeScroll>
</template>
<script>
	import MeScroll from '@/components/mescroll-body/mescroll-uni.vue'
	import card from './card.vue'
	var app=getApp()
	export default {
		components:{
			MeScroll,card
		},
		props: {
			type: Number,
			i: Number,
			item:Object
		},
		data() {
			return {
				isInit: false, // 是否初始化
				list: [], // 列表数据
				mescroll: null, // mescroll 对象
				// 上拉配置参数
				up: {
					noMoreSize: 5, 
					auto: true,
					page: {
						page: 0,
						size: 10
					},
					empty: {
						isSmall:true,
						use: true, // 是否显示空布局
						icon: "http://139.9.103.171:1888/miniofile/xlyq/party-empty.png", // 图标路径 (建议放入static目录, 如 /static/img/mescroll-empty.png )
					}
				},
				// 下拉配置参数
				down: {
					use: true, 
					auto: false
				}
			}
		},
		created() {
			
		},
		methods: {
			/**
			 * @param {Object} mescroll 初始化组件
			 */
			initMeScroll(mescroll) {
				this.mescroll = mescroll
			},
			/**
			 * @param {Object} mescroll 上拉回调
			 */
			upFn(mescroll) {
				let params={
					current:mescroll.num,
					size:mescroll.size,
					branchId:this.vuex_party_person.branchId
				}
				if (this.item.value!=-1) {
					params.classId=this.item.value
				}
				
				try{
					this.$api.party.meetinglist(params).then(res=>{
						let data=res.data.records
						mescroll.endBySize(data.length, res.data.total);
						if(mescroll.num == 1) this.list = []; //如果是第一页需手动制空列表
						this.list=this.list.concat(data); //追加新数据
					})
				}catch(e){
					mescroll.endErr();
				}
			},
			/**
			 * 下拉回调
			 * */
			downFn(mescroll) {
				setTimeout(()=>{
					this.$u.toast('刷新成功')
					this.mescroll.resetUpScroll()
				},1500)
			},
		}
	}
</script>

<style lang="scss" >
	view{
		box-sizing: border-box;
	}
</style>
